import Popup from "@/components/popup";
import TextareaEnhance from "@/components/textareaEnhance";
import { ScrollView, Text, View } from "@tarojs/components";
import { memo, useCallback, useState } from "react";
import ReasonPopup from "../reasonPopup";
import styles  from './index.module.scss'
import classnames from "classnames";

type Param = {
    show?: true|false,
    onClose?: () => void
}
export default memo(({show, onClose}:Param) => {

    
    const getOtherReason = useCallback(() => {

    }, [])

    const onSubmit = (val) => {

    }

    //显示说明
    const [showReason, setShowReason] = useState(false)
    const closeReason = useCallback(() => {
        setShowReason(false)
    }, [])

    const onShowReason = () => {
        setShowReason(true)
    }

    return (
        <>
            <Popup show={show} title="申请退款" onClose={onClose} >
                <View className={styles.apply_after_sales_con}>
                    <View className={styles.returnSaleInput_item}>
                        <View className={styles.title}>退款说明</View>
                        <View className={styles.select} onClick={() => onShowReason()}>
                            <Text>请选择</Text>
                            <Text className={classnames(styles.miconfont, 'iconfont icon-a-moreback')}></Text>
                        </View>
                    </View>
                    <TextareaEnhance onChange={getOtherReason} title='备注' placeholder="请输入退款备注"/>
                    <View  className={styles.btns_con}>
                        <View  className={styles.btns_two}>
                            <View  className={styles.rest_btn} onClick={() => onSubmit(1)}>取消</View>
                            <View  className={styles.verify_btn } onClick={() => onSubmit(2)}>确认</View>
                        </View >
                    </View>
                </View>
            </Popup>
            <ReasonPopup show={showReason} onClose={closeReason} /> 
        </>
    )
})